#$Id: gstreamer.spec,v 1.1 2002/10/28 16:01:17 dude Exp $

%define	glib2ver	2.0.1
%define	libxml2ver	2.4.0

Summary: GStreamer media framework runtime files.
Name: gstreamer
Version: 0.4.2
Release: fr1
License: LGPL
Group: Applications/Multimedia
Source: http://prdownloads.sourceforge.net/gstreamer/%{name}-%{version}.tar.bz2
URL: http://gstreamer.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: /sbin/ldconfig
Requires: glib2 >= %{glib2ver}, libxml2 >= %{libxml2ver}
Requires: popt > 1.6
BuildRequires: glib2-devel >= %{glib2ver}, libxml2-devel >= %{libxml2ver}
BuildRequires: nasm >= 0.90, bison, flex, gtk-doc >= 0.7, zlib-devel, popt > 1.6
# Documentation requirements
BuildRequires: openjade, python2, transfig
BuildRequires: docbook-style-dsssl docbook-dtd31-sgml

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new 
plugins.


%package devel
Summary: Development files for the GStreamer media framework.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel >= %{glib2ver}, libxml2-devel >= %{libxml2ver}

%description devel
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications using, and plugins for, GStreamer.


%prep
%setup -q

%build
%configure \
	--enable-debug \
	--with-configdir=/etc/gstreamer \
	--disable-tests \
	--disable-examples \
	--enable-docs-build \
	--with-html-dir=%{buildroot}%{_datadir}/gtk-doc/html
make %{?_smp_mflags}

%install  
rm -rf %{buildroot}
%makeinstall
rm -f %{buildroot}%{_libdir}/*.la
# Add devhelp stuff here for now
mkdir -p %{buildroot}%{_datadir}/devhelp/{books,specs}
ln -s ../../gtk-doc/html/gstreamer %{buildroot}%{_datadir}/devhelp/books/
ln -s ../../gtk-doc/html/gstreamer-libs %{buildroot}%{_datadir}/devhelp/books/
cp docs/devhelp/*.devhelp %{buildroot}%{_datadir}/devhelp/specs/

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README TODO COPYING.LIB REQUIREMENTS DOCBUILDING RELEASE 
%{_bindir}/*
%{_libdir}/gst
%{_libdir}/*.so*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/devhelp/books/*
%{_datadir}/devhelp/specs/*
%docdir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/*

%changelog
* Tue Nov  5 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.4.2.

* Mon Oct 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup.

* Sat Sep 21 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added gst-md5sum

* Tue Sep 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adding flex to buildrequires

* Fri Sep 13 2002 Christian F.K. Schaller <Uraeus@linuxrising.org>
- Fixed the schedulers after the renaming
* Sun Sep 08 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added transfig to the BuildRequires:

* Sat Jun 22 2002 Thomas Vander Stichele <thomas@apestaart.org>
- moved header location

* Mon Jun 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added popt
- removed .la

* Fri Jun 07 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added release of gstreamer to req of gstreamer-devel
- changed location of API docs to be in gtk-doc like other gtk-doc stuff
- reordered SPEC file

* Mon Apr 29 2002 Thomas Vander Stichele <thomas@apestaart.org>
- moved html docs to gtk-doc standard directory

* Tue Mar 5 2002 Thomas Vander Stichele <thomas@apestaart.org>
- move version defines of glib2 and libxml2 to configure.ac
- add BuildRequires for these two libs

* Sun Mar 3 2002 Thomas Vander Stichele <thomas@apestaart.org>
- put html docs in canonical place, avoiding %doc erasure
- added devhelp support, current install of it is hackish

* Sat Mar 2 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added documentation to build

* Mon Feb 11 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added libgstbasicscheduler
- renamed libgst to libgstreamer

* Fri Jan 04 2002 Christian Schaller <Uraeus@linuxrising.org>
- Added configdir parameter as it seems the configdir gets weird otherwise

* Thu Jan 03 2002 Thomas Vander Stichele <thomas@apestaart.org>
- split off gstreamer-editor from core
- removed gstreamer-gnome-apps

* Sat Dec 29 2001 Rodney Dawes <dobey@free.fr>
- Cleaned up the spec file for the gstreamer core/plug-ins split
- Improve spec file

* Sat Dec 15 2001 Christian Schaller <Uraeus@linuxrising.org>
- Split of more plugins from the core and put them into their own modules
- Includes colorspace, xfree and wav
- Improved package Require lines
- Added mp3encode (lame based) to the SPEC

* Wed Dec 12 2001 Christian Schaller <Uraeus@linuxrising.org>
- Thomas merged mpeg plugins into one
* Sat Dec 08 2001 Christian Schaller <Uraeus@linuxrising.org>
- More minor cleanups including some fixed descriptions from Andrew Mitchell

* Fri Dec 07 2001 Christian Schaller <Uraeus@linuxrising.org>
- Added logging to the make statement

* Wed Dec 05 2001 Christian Schaller <Uraeus@linuxrising.org>
- Updated in preparation for 0.3.0 release

* Fri Jun 29 2001 Christian Schaller <Uraeus@linuxrising.org>
- Updated for 0.2.1 release
- Split out the GUI packages into their own RPM
- added new plugins (FLAC, festival, quicktime etc.)

* Sat Jun 09 2001 Christian Schaller <Uraeus@linuxrising.org>
- Visualisation plugins bundled out togheter
- Moved files sections up close to their respective descriptions

* Sat Jun 02 2001 Christian Schaller <Uraeus@linuxrising.org>
- Split the package into separate RPMS, 
  putting most plugins out by themselves.

* Fri Jun 01 2001 Christian Schaller <Uraeus@linuxrising.org>
- Updated with change suggestions from Dennis Bjorklund

* Tue Jan 09 2001 Erik Walthinsen <omega@cse.ogi.edu>
- updated to build -devel package as well

* Sun Jan 30 2000 Erik Walthinsen <omega@cse.ogi.edu>
- first draft of spec file

